Skip to content
GET /search-brokers

Search real estate brokerages

Description

Search for real estate brokerages and agencies in UAE. Returns structured, simpler response data.

Parameters

Name Type Required Description Example
location_id string Optional - Location ID to filter brokers/agencies - Example: `50` (Dubai Marina), `51` (Downtown Dubai) - Leave empty for all locations 50
sort string Optional - Sort brokerages by - `featured`: Featured/top-ranked agencies - `most_properties`: Agencies with most listings - `most_agents`: Agencies with most agents - Default: `featured` featured
page string Optional - Page number for pagination - Default: `1` - Examples: `1`, `2`, `3` 1

Code Examples

curl --request GET \
  --url 'https://propertyfinder-uae-data.p.rapidapi.com/search-brokers' \
  --header 'x-rapidapi-host: propertyfinder-uae-data.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'

Example Response

Response
{
  "success": true,
  "data": [
    {
      "id": 4428,
      "name": "Elite Property Brokerage",
      "total_properties": 555,
      "logo": "https://www.propertyfinder.ae/broker/0/178/98/MODE/547989/4428-55abao.jpg?ctr=ae",
      "address": "Office 613, Building Onyx Tower 1, Barsha Heights (Tecom), Greens, Dubai",
      "location": "Dubai"
    }
  ]
}

Try this endpoint now

Subscribe to PropertyfinderAPI on RapidAPI and start making requests in minutes.